Skip to main content
GET
/
v1
/
workflows
/
{workflow_id}
/
runs
/
{run_id}
Public Get Run By Id And Workflow
curl --request GET \
  --url https://api.example.com/v1/workflows/{workflow_id}/runs/{run_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "queued",
  "created_at": "2023-11-07T05:31:56Z",
  "input": {},
  "output": {},
  "node_ids": [
    "<string>"
  ],
  "single_node_id": "<string>",
  "workflow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "progress_details": {
    "executed_nodes": [
      "<string>"
    ],
    "remaining_nodes": [
      "<string>"
    ],
    "per_node_progress": {},
    "running_nodes": [
      "<string>"
    ],
    "skipped_nodes": [],
    "error_handler_nodes": [],
    "subflow_executions": {},
    "per_edge_progress": {},
    "run_logs": {}
  },
  "progress": 0,
  "finished_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

workflow_id
string
required
run_id
string
required

Query Parameters

output_only
boolean
default:false
use_output_ids
boolean
default:false

Response

Successful Response

SimplifiedRun for public API — excludes workflow_definition.

id
string<uuid>
required
group_id
string<uuid>
required
workflow_id
string<uuid>
required
status
enum<string>
required
Available options:
queued,
running,
failed,
completed,
stopped,
awaiting_human_feedback
created_at
string<date-time>
required
input
Input · object
output
Output · object
node_ids
single_node_id
string | null
workflow_version_id
string<uuid> | null
progress_details
WorkflowProgress · object
progress
integer
default:0
finished_at
string<date-time> | null